<?php
/**
 * Created by PhpStorm.
 * User: pejot
 * Date: 2015-03-08
 * Time: 22:39
 */
global $ankieta;
global $data;
global $page;
global $generator;
$ankieta->writeGap();

$order=$ankieta->getNextSubmitParameters()['order'];
$testedProduct=$ankieta->getValue('PROD'.$order."PR");
$testedProdctLabs=$ankieta->getLabels('PROD'.$order."PR");

$ankieta->writeGap();
//$ankieta->writeHeader("POŁĄCZENIE CZEKOLANDY Z PIANKĄ - ".$testedProdctLabs[$testedProduct]);
//$ankieta->writeGap();

//[^uncheckById(["P2","P3","P4","P5"])^]
//[^showOrClean(input,["P2","P3","P4","P5","P6"])^]
//[^clean(["P2","P3","P4","P5","P6"])^]
//[^showOrClean($("input[name=P1]"),["P2"])^]


$answers=array();
$answers[12]="Korek daje mi pewność, że butelka jest fabrycznie odpowiednio zabezpieczona [^uncheckById(['Q19_".$order."_99'])^]";
$answers[13]="Mechanizm przy pierwszym otwarciu korka daje pewność, że nikt wcześniej nie otwierał butelki [^uncheckById(['Q19_".$order."_99'])^]";
$answers[14]="Górna część korka (zamknięcie, pokrywa) nie przeszkadza podczas nalewania oleju [^uncheckById(['Q19_".$order."_99'])^]";
$answers[15]="Korek dobrze zabezpiecza olej przed wylaniem [^uncheckById(['Q19_".$order."_99'])^]";
$answers[16]="Butelka wygląda elegancko, ma ładne żłobienia/grawerunki [^uncheckById(['Q19_".$order."_99'])^]";
$answers[17]="Ma odpowiednio gruby plastik [^uncheckById(['Q19_".$order."_99'])^]";
$answers[18]="Jest wykonana z plastiku dobrej jakości [^uncheckById(['Q19_".$order."_99'])^]";
$answers[19]="Po użyciu łatwiej zgnieść butelkę, zmniejszyć jej gabaryty w koszu [^uncheckById(['Q19_".$order."_99'])^]";
$answers[20]="Jest odpowiedniej wysokości, mieści się tam gdzie przechowuję olej [^uncheckById(['Q19_".$order."_99'])^]";
$answers[21]="Jest wykonana z elastycznego plastiku, po wgnieceniu wraca do pierwotnej formy [^uncheckById(['Q19_".$order."_99'])^]";
$answers[22]="Jest odpowiedniej przezroczystości, dobrze widać kolor oleju [^uncheckById(['Q19_".$order."_99'])^]";
if ($generator==false) {
    shuffleAssoc($answers);
}
$answers[99]="Żadne z powyższych [^uncheckById(['Q19_".$order."_12','Q19_".$order."_13','Q19_".$order."_14','Q19_".$order."_15','Q19_".$order."_16','Q19_".$order."_17','Q19_".$order."_18','Q19_".$order."_19','Q19_".$order."_20','Q19_".$order."_21','Q19_".$order."_22'])^]";
$ankieta->writeCheckbox('Q19_'.$order,'Q19. Które z poniższych stwierdzeń pasują do opakowania, które Pani testowała?',$answers,true,@clean($data['Q19_'.$order]),'NUMERIC');



//$answers=array();
//$answers[5]='zdecydowanie za dużo goryczki';
//$answers[4]='raczej za dużo goryczki';
//$answers[3]='w sam raz';
//$answers[2]='raczej za mało goryczki';
//$answers[1]='zdecydowanie za mało goryczki';
//$ankieta->writeRadio('A8_'.$order,'Jak ogólnie ocenia Pan[i|] <b>ilość goryczki</b> w tym napoju piwnym?',$answers,true,@clean($data['A8_'.$order]),'NUMERIC');

//$answers=array();
//$answers[5]='zdecydowanie za dużo alkoholu';
//$answers[4]='raczej za dużo alkoholu';
//$answers[3]='w sam raz';
//$answers[2]='raczej za mało alkoholu';
//$answers[1]='zdecydowanie za mało alkoholu';
//$ankieta->writeRadio('A8a_'.$order,'Jak ogólnie ocenia Pan[i|] <b>zawartość alkoholu</b> w tym napoju piwnym?',$answers,true,@clean($data['A8a_'.$order]),'NUMERIC');

